Ruby 1.3.1-990209 had serious flaw in installer.  I re-packedaged it.

    ftp://ftp.netlab.co.jp/pub/lang/ruby/in.coming/ruby-1.3.1-990209.tar.gz

md5sum is

    f81e368b9ff03d45362a866f26e0b1aa  ruby-1.3.1-990209.tar.gz

Notice this is early access release, try it at your own risk.